<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

function haumenu_sanitize_block_option_heading($value){
	$value = (array) $value;
	$original_value = get_option('hautility-option-01-blockoption'); // 元の値を保持

	/* 見出し */
	/* テキストフィールド（文字列） */
	if ( isset( $value['headline-tag-style'] ) && is_string( $value['headline-tag-style'] ) ) {
		$value['headline-tag-style'] = wp_kses_post( $value['headline-tag-style'] ); // サニタイズ
	} else {
		if ( isset( $original_value['headline-tag-style'] ) ) {
			$value['headline-tag-style'] = $original_value['headline-tag-style']; // 元の値を保持
		} else {
			$value['headline-tag-style'] = '';
		}
	}



	/* ---------- ここまでに項目ごとの記述をする ---------- */
	return $value;//値を返す
}